# Ogre::Angle Class Reference
[Math]

Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAngleUnit. More...

`#include <OgreMath.h>`

List of all members.

## Public Member Functions

| Angle (Real angle)
| operator Radian () const
| operator Degree () const

## Private Attributes

Real | mAngle

## Detailed Description

Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAngleUnit.

Remarks:
  Angle values will be automatically converted between radians and degrees, as appropriate.

Definition at line 149 of file OgreMath.h.

## Constructor & Destructor Documentation

Ogre::Angle::Angle | ( | Real | angle | ) | `[explicit]`

Definition at line 153 of file OgreMath.h.

## Member Data Documentation

Real Ogre::Angle::mAngle `[private]`

Definition at line 151 of file OgreMath.h.

Referenced by operator Degree(), and operator Radian().

The documentation for this class was generated from the following file:

- OgreMath.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:56